# Serialized Form

- ## Package groovy.inspect.swingui

  - ### Class groovy.inspect.swingui.TableMap extends AbstractTableModel implements Serializable

    - ### Serialized Fields

      - #### model

            TableModel model

  - ### Class groovy.inspect.swingui.TableSorter extends TableMap implements Serializable

    - ### Serialized Fields

      - #### indexes

            int[] indexes

      - #### sortingColumns

            Vector<E> sortingColumns

      - #### ascending

            boolean ascending

      - #### lastSortedColumn

            int lastSortedColumn

  - ### Class groovy.inspect.swingui.TreeNodeWithProperties extends DefaultMutableTreeNode implements Serializable

    - ### Serialized Fields

      - #### properties

            List<E> properties

- ## Package groovy.jmx.builder

  - ### Class groovy.jmx.builder.JmxBuilderException extends RuntimeException implements Serializable

- ## Package groovy.json

  - ### Class groovy.json.JsonException extends RuntimeException implements Serializable

- ## Package groovy.json.internal

  - ### Class groovy.json.internal.Exceptions.JsonInternalException extends JsonException implements Serializable

  - ### Class groovy.json.internal.NumberValue extends Number implements Serializable

    - ### Serialized Fields

      - #### buffer

            char[] buffer

      - #### chopped

            boolean chopped

      - #### startIndex

            int startIndex

      - #### endIndex

            int endIndex

      - #### type

            Type type

      - #### value

            Object value

- ## Package groovy.lang

  - ### Class groovy.lang.Closure extends GroovyObjectSupport implements Serializable

    serialVersionUID:
      4368710879820278874L

    - ### Serialized Fields

      - #### delegate

            Object delegate

      - #### owner

            Object owner

      - #### thisObject

            Object thisObject

      - #### resolveStrategy

            int resolveStrategy

      - #### directive

            int directive

      - #### parameterTypes

            Class<T>[] parameterTypes

      - #### maximumNumberOfParameters

            int maximumNumberOfParameters

      - #### bcw

            BooleanClosureWrapper bcw

  - ### Class groovy.lang.ClosureException extends RuntimeException implements Serializable

    - ### Serialized Fields

      - #### closure

            Closure<V> closure

  - ### Class groovy.lang.DeprecationException extends RuntimeException implements Serializable

  - ### Class groovy.lang.GroovyRuntimeException extends RuntimeException implements Serializable

    - ### Serialized Fields

      - #### module

            ModuleNode module

      - #### node

            ASTNode node

  - ### Class groovy.lang.GString extends GroovyObjectSupport implements Serializable

    serialVersionUID:
      -2638020355892246323L

    - ### Serialized Fields

      - #### values

            Object[] values

  - ### Class groovy.lang.IllegalPropertyAccessException extends MissingPropertyException implements Serializable

  - ### Class groovy.lang.IncorrectClosureArgumentsException extends GroovyRuntimeException implements Serializable

    - ### Serialized Fields

      - #### closure

            Closure<V> closure

      - #### arguments

            Object arguments

      - #### expected

            Class<T>[] expected

  - ### Class groovy.lang.MetaClassRegistryChangeEvent extends EventObject implements Serializable

    - ### Serialized Fields

      - #### clazz

            Class<T> clazz

      - #### instance

            Object instance

      - #### metaClass

            MetaClass metaClass

      - #### oldMetaClass

            MetaClass oldMetaClass

  - ### Class groovy.lang.MissingClassException extends GroovyRuntimeException implements Serializable

    - ### Serialized Fields

      - #### type

            String type

  - ### Class groovy.lang.MissingFieldException extends GroovyRuntimeException implements Serializable

    - ### Serialized Fields

      - #### field

            String field

      - #### type

            Class<T> type

  - ### Class groovy.lang.MissingMethodException extends GroovyRuntimeException implements Serializable

    - ### Serialized Fields

      - #### method

            String method

      - #### type

            Class<T> type

      - #### isStatic

            boolean isStatic

      - #### arguments

            Object[] arguments

  - ### Class groovy.lang.MissingPropertyException extends GroovyRuntimeException implements Serializable

    - ### Serialized Fields

      - #### property

            String property

      - #### type

            Class<T> type

  - ### Class groovy.lang.NonEmptySequence extends Sequence implements Serializable

  - ### Class groovy.lang.ReadOnlyPropertyException extends MissingPropertyException implements Serializable

  - ### Class groovy.lang.Reference extends GroovyObjectSupport implements Serializable

    - ### Serialized Fields

      - #### value

            Object value

  - ### Class groovy.lang.Sequence extends ArrayList implements Serializable

    - ### Serialized Fields

      - #### metaClass

            MetaClass metaClass

      - #### type

            Class<T> type

      - #### hashCode

            int hashCode

  - ### Class groovy.lang.SpreadListEvaluatingException extends GroovyRuntimeException implements Serializable

  - ### Class groovy.lang.SpreadMap extends HashMap implements Serializable

    - ### Serialized Fields

      - #### hashCode

            int hashCode

  - ### Class groovy.lang.SpreadMapEvaluatingException extends GroovyRuntimeException implements Serializable

  - ### Class groovy.lang.StringWriterIOException extends RuntimeException implements Serializable

- ## Package groovy.model

  - ### Class groovy.model.DefaultTableColumn extends TableColumn implements Serializable

    - ### Serialized Fields

      - #### valueModel

            ValueModel valueModel

  - ### Class groovy.model.DefaultTableModel extends AbstractTableModel implements Serializable

    - ### Serialized Fields

      - #### rowModel

            ValueModel rowModel

      - #### rowsModel

            ValueModel rowsModel

      - #### columnModel

            DefaultTableModel.MyTableColumnModel columnModel

  - ### Class groovy.model.DefaultTableModel.MyTableColumnModel extends DefaultTableColumnModel implements Serializable

- ## Package groovy.security

  - ### Class groovy.security.GroovyCodeSourcePermission extends BasicPermission implements Serializable

- ## Package groovy.servlet

  - ### Class groovy.servlet.AbstractHttpServlet extends HttpServlet implements Serializable

    - ### Serialized Fields

      - #### servletContext

            ServletContext servletContext

        Servlet (or the web application) context.

      - #### resourceNamePattern

            Pattern resourceNamePattern

        Either `null` or a compiled pattern read from ""resource.name.regex"" and used in `AbstractHttpServlet.getScriptUri(HttpServletRequest)`.

      - #### resourceNameReplacement

            String resourceNameReplacement

        The replacement used by the resource name matcher.

      - #### resourceNameReplaceAll

            boolean resourceNameReplaceAll

        The replace method to use on the matcher.

             true - replaceAll(resourceNameReplacement); (default)
             false - replaceFirst(resourceNameReplacement);

      - #### verbose

            boolean verbose

        Controls almost all log output.

      - #### encoding

            String encoding

        Encoding to use, becomes charset part of contentType.

      - #### reflection

            boolean reflection

        Mirrors the static value of the reflection flag in MetaClass. See AbstractHttpServlet#logGROOVY861

      - #### logGROOVY861

            boolean logGROOVY861

        Debug flag logging the class the class loader of the request.

      - #### namePrefix

            String namePrefix

        a.fink: it was in `AbstractHttpServlet.removeNamePrefix(java.lang.String)`, but was extracted to var for optimization

  - ### Class groovy.servlet.GroovyServlet extends AbstractHttpServlet implements Serializable

    - ### Serialized Fields

      - #### gse

            GroovyScriptEngine gse

        The script engine executing the Groovy scripts for this servlet

  - ### Class groovy.servlet.TemplateServlet extends AbstractHttpServlet implements Serializable

    - ### Serialized Fields

      - #### cache

            Map<K,V> cache

        Simple file name to template cache map.

      - #### engine

            TemplateEngine engine

        Underlying template engine used to evaluate template source files.

      - #### generateBy

            boolean generateBy

        Flag that controls the appending of the "Generated by ..." comment.

      - #### fileEncodingParamVal

            String fileEncodingParamVal

- ## Package groovy.swing.impl

  - ### Class groovy.swing.impl.ClosureCellEditor extends AbstractCellEditor implements Serializable

    - ### Serialized Fields

      - #### callbacks

            Map<K,V> callbacks

      - #### prepareEditor

            Closure<V> prepareEditor

      - #### editorValue

            Closure<V> editorValue

      - #### children

            List<E> children

      - #### defaultEditor

            boolean defaultEditor

      - #### table

            JTable table

      - #### tree

            JTree tree

      - #### value

            Object value

      - #### selected

            boolean selected

      - #### expanded

            boolean expanded

      - #### leaf

            boolean leaf

      - #### row

            int row

      - #### column

            int column

  - ### Class groovy.swing.impl.DefaultAction extends AbstractAction implements Serializable

    - ### Serialized Fields

      - #### closure

            Closure<V> closure

  - ### Class groovy.swing.impl.ListWrapperListModel extends AbstractListModel implements Serializable

    - ### Serialized Fields

      - #### delegate

            List<E> delegate

  - ### Class groovy.swing.impl.TableLayout extends JPanel implements Serializable

    - ### Serialized Fields

      - #### rowCount

            int rowCount

      - #### cellpadding

            int cellpadding

- ## Package groovy.transform.stc

  - ### Class groovy.transform.stc.IncorrectTypeHintException extends SyntaxException implements Serializable

- ## Package groovy.ui

  - ### Class groovy.ui.ConsoleApplet extends JApplet implements Serializable

    - ### Serialized Fields

      - #### console

            groovy.ui.Console console

  - ### Class groovy.ui.ConsoleTextEditor extends JScrollPane implements Serializable

    - ### Serialized Fields

      - #### defaultFamily

            String defaultFamily

      - #### numbersPanel

            groovy.ui.ConsoleTextEditor.LineNumbersPanel numbersPanel

      - #### documentChangedSinceLastRepaint

            boolean documentChangedSinceLastRepaint

      - #### textEditor

            TextEditor textEditor

      - #### undoAction

            groovy.ui.ConsoleTextEditor.UndoAction undoAction

      - #### redoAction

            groovy.ui.ConsoleTextEditor.RedoAction redoAction

      - #### printAction

            groovy.ui.ConsoleTextEditor.PrintAction printAction

      - #### editable

            boolean editable

      - #### undoManager

            TextUndoManager undoManager

- ## Package groovy.ui.text

  - ### Class groovy.ui.text.AutoIndentAction extends AbstractAction implements Serializable

    - ### Serialized Fields

      - #### simpleAttributeSet

            AttributeSet simpleAttributeSet

  - ### Class groovy.ui.text.TextEditor extends JTextPane implements Serializable

    - ### Serialized Fields

      - #### defaultCaret

            Caret defaultCaret

      - #### overtypeCaret

            Caret overtypeCaret

      - #### numPages

            int numPages

      - #### mouseAdapter

            MouseAdapter mouseAdapter

      - #### unwrapped

            boolean unwrapped

      - #### tabsAsSpaces

            boolean tabsAsSpaces

      - #### multiLineTab

            boolean multiLineTab

  - ### Class groovy.ui.text.TextUndoManager extends UndoManager implements Serializable

    - ### Serialized Fields

      - #### propChangeSupport

            SwingPropertyChangeSupport propChangeSupport

      - #### compoundEdit

            groovy.ui.text.TextUndoManager.StructuredEdit compoundEdit

      - #### firstModified

            long firstModified

      - #### modificationMarker

            UndoableEdit modificationMarker

- ## Package groovy.util

  - ### Class groovy.util.Node extends Object implements Serializable

    serialVersionUID:
      4121134753270542643L

    - ### Serialized Fields

      - #### parent

            Node parent

      - #### name

            Object name

      - #### attributes

            Map<K,V> attributes

      - #### value

            Object value

  - ### Class groovy.util.NodeList extends ArrayList implements Serializable

  - ### Class groovy.util.ObservableList.ElementAddedEvent extends ObservableList.ElementEvent implements Serializable

  - ### Class groovy.util.ObservableList.ElementClearedEvent extends ObservableList.ElementEvent implements Serializable

    - ### Serialized Fields

      - #### values

            List<E> values

  - ### Class groovy.util.ObservableList.ElementEvent extends PropertyChangeEvent implements Serializable

    - ### Serialized Fields

      - #### type

            ObservableList.ChangeType type

      - #### index

            int index

  - ### Class groovy.util.ObservableList.ElementRemovedEvent extends ObservableList.ElementEvent implements Serializable

  - ### Class groovy.util.ObservableList.ElementUpdatedEvent extends ObservableList.ElementEvent implements Serializable

  - ### Class groovy.util.ObservableList.MultiElementAddedEvent extends ObservableList.ElementEvent implements Serializable

    - ### Serialized Fields

      - #### values

            List<E> values

  - ### Class groovy.util.ObservableList.MultiElementRemovedEvent extends ObservableList.ElementEvent implements Serializable

    - ### Serialized Fields

      - #### values

            List<E> values

  - ### Class groovy.util.ObservableMap.MultiPropertyEvent extends ObservableMap.PropertyEvent implements Serializable

    - ### Serialized Fields

      - #### events

            ObservableMap.PropertyEvent[] events

  - ### Class groovy.util.ObservableMap.PropertyAddedEvent extends ObservableMap.PropertyEvent implements Serializable

  - ### Class groovy.util.ObservableMap.PropertyClearedEvent extends ObservableMap.PropertyEvent implements Serializable

    - ### Serialized Fields

      - #### values

            Map<K,V> values

  - ### Class groovy.util.ObservableMap.PropertyEvent extends PropertyChangeEvent implements Serializable

    - ### Serialized Fields

      - #### type

            ObservableMap.ChangeType type

  - ### Class groovy.util.ObservableMap.PropertyRemovedEvent extends ObservableMap.PropertyEvent implements Serializable

  - ### Class groovy.util.ObservableMap.PropertyUpdatedEvent extends ObservableMap.PropertyEvent implements Serializable

  - ### Class groovy.util.ObservableSet.ElementAddedEvent extends ObservableSet.ElementEvent implements Serializable

  - ### Class groovy.util.ObservableSet.ElementClearedEvent extends ObservableSet.ElementEvent implements Serializable

    - ### Serialized Fields

      - #### values

            List<E> values

  - ### Class groovy.util.ObservableSet.ElementEvent extends PropertyChangeEvent implements Serializable

    - ### Serialized Fields

      - #### type

            ObservableSet.ChangeType type

  - ### Class groovy.util.ObservableSet.ElementRemovedEvent extends ObservableSet.ElementEvent implements Serializable

  - ### Class groovy.util.ObservableSet.MultiElementAddedEvent extends ObservableSet.ElementEvent implements Serializable

    - ### Serialized Fields

      - #### values

            List<E> values

  - ### Class groovy.util.ObservableSet.MultiElementRemovedEvent extends ObservableSet.ElementEvent implements Serializable

    - ### Serialized Fields

      - #### values

            List<E> values

  - ### Class groovy.util.ResourceException extends Exception implements Serializable

  - ### Class groovy.util.ScriptException extends Exception implements Serializable

- ## Package groovy.util.slurpersupport

  - ### Class groovy.util.slurpersupport.NamespaceAwareHashMap extends HashMap<String,String> implements Serializable

    - ### Serialized Fields

      - #### namespaceTagHints

            Map<K,V> namespaceTagHints

- ## Package groovy.xml

  - ### Class groovy.xml.QName extends Object implements Serializable

    - ### Serialized Fields

      - #### namespaceURI

            String namespaceURI

        Field namespaceURI

      - #### localPart

            String localPart

        Field localPart

      - #### prefix

            String prefix

        Field prefix

- ## Package org.apache.commons.cli

  - ### Class org.apache.commons.cli.AlreadySelectedException extends ParseException implements Serializable

    - ### Serialized Fields

      - #### group

            OptionGroup group

      - #### option

            Option option

  - ### Class org.apache.commons.cli.CommandLine extends Object implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### args

            List<E> args

      - #### options

            List<E> options

  - ### Class org.apache.commons.cli.MissingArgumentException extends ParseException implements Serializable

    - ### Serialized Fields

      - #### option

            Option option

  - ### Class org.apache.commons.cli.MissingOptionException extends ParseException implements Serializable

    - ### Serialized Fields

      - #### missingOptions

            List<E> missingOptions

  - ### Class org.apache.commons.cli.Option extends Object implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### opt

            String opt

      - #### longOpt

            String longOpt

      - #### argName

            String argName

      - #### description

            String description

      - #### required

            boolean required

      - #### optionalArg

            boolean optionalArg

      - #### numberOfArgs

            int numberOfArgs

      - #### type

            Object type

      - #### values

            List<E> values

      - #### valuesep

            char valuesep

  - ### Class org.apache.commons.cli.OptionGroup extends Object implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### optionMap

            Map<K,V> optionMap

      - #### selected

            String selected

      - #### required

            boolean required

  - ### Class org.apache.commons.cli.Options extends Object implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### shortOpts

            Map<K,V> shortOpts

      - #### longOpts

            Map<K,V> longOpts

      - #### requiredOpts

            List<E> requiredOpts

      - #### optionGroups

            Map<K,V> optionGroups

  - ### Class org.apache.commons.cli.ParseException extends Exception implements Serializable

  - ### Class org.apache.commons.cli.UnrecognizedOptionException extends ParseException implements Serializable

    - ### Serialized Fields

      - #### option

            String option

- ## Package org.codehaus.groovy

  - ### Class org.codehaus.groovy.GroovyBugError extends AssertionError implements Serializable

    - ### Serialized Fields

      - #### message

            String message

      - #### exception

            Exception exception

  - ### Class org.codehaus.groovy.GroovyException extends Exception implements Serializable

    - ### Serialized Fields

      - #### fatal

            boolean fatal

- ## Package org.codehaus.groovy.ant

  - ### Class org.codehaus.groovy.ant.AntProjectPropertiesDelegate extends Hashtable implements Serializable

    - ### Serialized Fields

      - #### project

            org.apache.tools.ant.Project project

- ## Package org.codehaus.groovy.antlr

  - ### Class org.codehaus.groovy.antlr.ASTParserException extends ParserException implements Serializable

    - ### Serialized Fields

      - #### ast

            AST ast

  - ### Class org.codehaus.groovy.antlr.ASTRuntimeException extends RuntimeException implements Serializable

    - ### Serialized Fields

      - #### ast

            AST ast

  - ### Class org.codehaus.groovy.antlr.GroovySourceAST extends CommonAST implements Serializable

    - ### Serialized Fields

      - #### line

            int line

      - #### col

            int col

      - #### lineLast

            int lineLast

      - #### colLast

            int colLast

      - #### snippet

            String snippet

  - ### Class org.codehaus.groovy.antlr.LexerFrame extends JFrame implements Serializable

    - ### Serialized Fields

      - #### jSplitPane1

            JSplitPane jSplitPane1

      - #### jScrollPane1

            JScrollPane jScrollPane1

      - #### jScrollPane2

            JScrollPane jScrollPane2

      - #### tokenPane

            JTextPane tokenPane

      - #### jbutton

            JButton jbutton

      - #### mainPanel

            JPanel mainPanel

      - #### scriptPane

            JTextArea scriptPane

      - #### border1

            Border border1

      - #### border2

            Border border2

      - #### lexerClass

            Class<T> lexerClass

      - #### tokens

            Hashtable<K,V> tokens

      - #### loadFileAction

            Action loadFileAction

- ## Package org.codehaus.groovy.classgen

  - ### Class org.codehaus.groovy.classgen.ClassGeneratorException extends RuntimeException implements Serializable

- ## Package org.codehaus.groovy.control

  - ### Class org.codehaus.groovy.control.CompilationFailedException extends GroovyRuntimeException implements Serializable

    - ### Serialized Fields

      - #### phase

            int phase

      - #### unit

            ProcessingUnit unit

  - ### Class org.codehaus.groovy.control.ConfigurationException extends RuntimeException implements Serializable

    - ### Serialized Fields

      - #### cause

            Exception cause

  - ### Class org.codehaus.groovy.control.MultipleCompilationErrorsException extends CompilationFailedException implements Serializable

    - ### Serialized Fields

      - #### collector

            ErrorCollector collector

- ## Package org.codehaus.groovy.reflection

  - ### Class org.codehaus.groovy.reflection.GeneratedMetaMethod.DgmMethodRecord extends Object implements Serializable

    - ### Serialized Fields

      - #### className

            String className

      - #### methodName

            String methodName

      - #### returnType

            Class<T> returnType

      - #### parameters

            Class<T>[] parameters

- ## Package org.codehaus.groovy.runtime

  - ### Class org.codehaus.groovy.runtime.ComposedClosure extends Closure<V> implements Serializable

    - ### Serialized Fields

      - #### first

            Closure<V> first

      - #### second

            Closure<V> second

  - ### Class org.codehaus.groovy.runtime.ConversionHandler extends Object implements Serializable

    serialVersionUID:
      1162833717190835227L

    - ### Serialized Fields

      - #### delegate

            Object delegate

  - ### Class org.codehaus.groovy.runtime.ConvertedClosure extends ConversionHandler implements Serializable

    serialVersionUID:
      1162833713450835227L

    - ### Serialized Fields

      - #### methodName

            String methodName

  - ### Class org.codehaus.groovy.runtime.ConvertedMap extends ConversionHandler implements Serializable

  - ### Class org.codehaus.groovy.runtime.CurriedClosure extends Closure<V> implements Serializable

    - ### Serialized Fields

      - #### curriedParams

            Object[] curriedParams

      - #### index

            int index

      - #### numTrailingArgs

            int numTrailingArgs

      - #### varargType

            Class<T> varargType

  - ### Class org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethodList extends ArrayList<GroovyCategorySupport.CategoryMethod> implements Serializable

    - ### Serialized Fields

      - #### level

            int level

      - #### previous

            GroovyCategorySupport.CategoryMethodList previous

      - #### usage

            AtomicInteger usage

  - ### Class org.codehaus.groovy.runtime.GroovyCategorySupport.ThreadCategoryInfo extends HashMap<String,GroovyCategorySupport.CategoryMethodList> implements Serializable

    - ### Serialized Fields

      - #### level

            int level

      - #### propertyGetterMap

            Map<K,V> propertyGetterMap

      - #### propertySetterMap

            Map<K,V> propertySetterMap

  - ### Class org.codehaus.groovy.runtime.GStringImpl extends GString implements Serializable

    - ### Serialized Fields

      - #### strings

            String[] strings

  - ### Class org.codehaus.groovy.runtime.InvokerInvocationException extends GroovyRuntimeException implements Serializable

  - ### Class org.codehaus.groovy.runtime.IteratorClosureAdapter extends Closure implements Serializable

    - ### Serialized Fields

      - #### list

            List<E> list

      - #### metaClass

            MetaClass metaClass

  - ### Class org.codehaus.groovy.runtime.MethodClosure extends Closure implements Serializable

    - ### Serialized Fields

      - #### method

            String method

  - ### Class org.codehaus.groovy.runtime.ScriptReference extends Reference implements Serializable

    - ### Serialized Fields

      - #### script

            Script script

      - #### variable

            String variable

  - ### Class org.codehaus.groovy.runtime.WritableFile extends File implements Serializable

    - ### Serialized Fields

      - #### encoding

            String encoding

- ## Package org.codehaus.groovy.runtime.metaclass

  - ### Class org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap extends AbstractMap implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(ObjectInputStream s)
                             throws IOException,
                                    ClassNotFoundException

        Reconstitute the `ConcurrentReaderHashMap` instance from a stream (i.e., deserialize it).
        Throws:
          `IOException`
          `ClassNotFoundException`

      - #### writeObject

            private void writeObject(ObjectOutputStream s)
                              throws IOException

        Save the state of the `ConcurrentReaderHashMap` instance to a stream (i.e., serialize it).
        Serial Data:
          The capacity of the ConcurrentReaderHashMap (the length of the bucket array) is emitted (int), followed by the size of the ConcurrentReaderHashMap (the number of key-value mappings), followed by the key (Object) and value (Object) for each key-value mapping represented by the ConcurrentReaderHashMap The key-value mappings are emitted in no particular order.
        Throws:
          `IOException`

    - ### Serialized Fields

      - #### barrierLock

            ConcurrentReaderHashMap.BarrierLock barrierLock

        Lock used only for its memory effects.

      - #### threshold

            int threshold

        The table is rehashed when its size exceeds this threshold. (The value of this field is always (int)(capacity * loadFactor).)

      - #### loadFactor

            float loadFactor

        The load factor for the hash table.

  - ### Class org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.BarrierLock extends Object implements Serializable

  - ### Class org.codehaus.groovy.runtime.metaclass.MethodSelectionException extends GroovyRuntimeException implements Serializable

    - ### Serialized Fields

      - #### methodName

            String methodName

      - #### methods

            FastArray methods

      - #### arguments

            Class<T>[] arguments

  - ### Class org.codehaus.groovy.runtime.metaclass.MissingMethodExceptionNoStack extends MissingMethodException implements Serializable

  - ### Class org.codehaus.groovy.runtime.metaclass.MissingMethodExecutionFailed extends MissingMethodExceptionNoStack implements Serializable

    - ### Serialized Fields

      - #### cause

            Throwable cause

  - ### Class org.codehaus.groovy.runtime.metaclass.MissingPropertyExceptionNoStack extends MissingPropertyException implements Serializable

- ## Package org.codehaus.groovy.runtime.powerassert

  - ### Class org.codehaus.groovy.runtime.powerassert.PowerAssertionError extends AssertionError implements Serializable

  - ### Class org.codehaus.groovy.runtime.powerassert.SourceTextNotAvailableException extends RuntimeException implements Serializable

- ## Package org.codehaus.groovy.runtime.typehandling

  - ### Class org.codehaus.groovy.runtime.typehandling.GroovyCastException extends ClassCastException implements Serializable

- ## Package org.codehaus.groovy.syntax

  - ### Class org.codehaus.groovy.syntax.ParserException extends TokenException implements Serializable

  - ### Class org.codehaus.groovy.syntax.ReadException extends GroovyException implements Serializable

    - ### Serialized Fields

      - #### cause

            IOException cause

  - ### Class org.codehaus.groovy.syntax.RuntimeParserException extends GroovyRuntimeException implements Serializable

  - ### Class org.codehaus.groovy.syntax.SyntaxException extends GroovyException implements Serializable

    - ### Serialized Fields

      - #### startLine

            int startLine

        Line upon which the error occurred.

      - #### endLine

            int endLine

      - #### startColumn

            int startColumn

        Column upon which the error occurred.

      - #### endColumn

            int endColumn

      - #### sourceLocator

            String sourceLocator

  - ### Class org.codehaus.groovy.syntax.TokenException extends SyntaxException implements Serializable

  - ### Class org.codehaus.groovy.syntax.TokenMismatchException extends TokenException implements Serializable

    - ### Serialized Fields

      - #### unexpectedToken

            Token unexpectedToken

      - #### expectedType

            int expectedType

- ## Package org.codehaus.groovy.tools.gse

  - ### Class org.codehaus.groovy.tools.gse.StringSetMap extends LinkedHashMap<String,Set<String>> implements Serializable

- ## Package org.codehaus.groovy.tools.shell

  - ### Class org.codehaus.groovy.tools.shell.CommandException extends Exception implements Serializable

    - ### Serialized Fields

      - #### command

            org.codehaus.groovy.tools.shell.Command command

  - ### Class org.codehaus.groovy.tools.shell.ExitNotification extends Error implements Serializable

    - ### Serialized Fields

      - #### code

            int code

- ## Package org.codehaus.groovy.transform

  - ### Class org.codehaus.groovy.transform.ASTTestTransformation.ProgressCallbackChain._ProgressCallbackChain_closure1 extends Object implements Serializable

- ## Package org.codehaus.groovy.util

  - ### Class org.codehaus.groovy.util.AbstractConcurrentMap.Segment extends AbstractConcurrentMapBase.Segment implements Serializable

  - ### Class org.codehaus.groovy.util.AbstractConcurrentMapBase.Segment extends LockableObject implements Serializable

    - ### Serialized Fields

      - #### count

            int count

      - #### threshold

            int threshold

      - #### table

            Object[] table

  - ### Class org.codehaus.groovy.util.LazyReference extends LockableObject implements Serializable

    - ### Serialized Fields

      - #### reference

            ManagedReference<T> reference

      - #### bundle

            ReferenceBundle bundle

  - ### Class org.codehaus.groovy.util.LockableObject extends AbstractQueuedSynchronizer implements Serializable

  - ### Class org.codehaus.groovy.util.ManagedConcurrentMap.Segment extends AbstractConcurrentMap.Segment<K,V> implements Serializable

    - ### Serialized Fields

      - #### bundle

            ReferenceBundle bundle